Patch box fields.
PATCH
/v1/update_boxBody
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
| budgetId | string | Yes | — | Budget that owns the box. |
| boxId | string | Yes | — | Box to patch. |
| name | string | No | — | Replacement display name shown in the app. |
| type | string | No | — | New category (needs / wants / savings). |
| amount | number | No | — | New allocated amount. |
| currency | string | No | — | New ISO 4217 currency code. |
Response data
| Field | Type | Description |
|---|---|---|
| id | string | Unique id of this resource. |
| budgetId | string | Id of the budget this resource belongs to. |